Index: ReserveNGo-frontend/src/components/Project/AddRestaurant.vue
===================================================================
--- ReserveNGo-frontend/src/components/Project/AddRestaurant.vue	(revision dad25fc441c1a4b1ff7bd0261b866e4465bec975)
+++ 	(revision )
@@ -1,52 +1,0 @@
-<script>
-import { useRouter } from 'vue-router'
-import { restaurantStore } from '@/PiniaStores/restaurantStore.js'
-import { userStore } from '@/PiniaStores/UserStore.js'
-
-
-export default {
-  data() {
-    return {
-      router: useRouter(),
-      name: '',
-      url: 'http://localhost:8080/api/admin/add',
-      restaurantStore: restaurantStore(),
-      userStore: userStore(),
-    }
-  },
-  methods: {
-    async addRestaurant() {
-      await fetch(this.url, {
-        method: 'POST',
-        headers: {
-          'Content-Type': 'application/json',
-          'Authorization': this.userStore.getToken
-        },
-        body: JSON.stringify({
-          name: this.name,
-        })
-      }).then((response) => response.json())
-        .then(json => {this.restaurantStore.newRestaurant(json)})
-
-    }
-  }
-}
-</script>
-
-<template>
-  <div class="container mt-5">
-    <div class="row justify-content-center">
-      <div class="col-4">
-        <form v-on:submit.prevent="addRestaurant">
-          <div class="mb-3">
-            <label for="name" class="form-label" >Restaurant name</label>
-            <input v-model="this.name" type="text" id="name" name="name" class="form-control" placeholder="Name" required>
-          </div>
-          <button type="submit" class="btn btn-primary">Add Restaurant</button>
-        </form>
-      </div>
-    </div>
-  </div>
-</template>
-
-<style scoped></style>
Index: ReserveNGo-frontend/src/components/Project/Admin/AddRestaurant.vue
===================================================================
--- ReserveNGo-frontend/src/components/Project/Admin/AddRestaurant.vue	(revision 6662a149d49f31a57629db476cf12dcb5e4986c4)
+++ ReserveNGo-frontend/src/components/Project/Admin/AddRestaurant.vue	(revision 6662a149d49f31a57629db476cf12dcb5e4986c4)
@@ -0,0 +1,54 @@
+<script>
+import { useRouter } from 'vue-router'
+import { restaurantStore } from '@/PiniaStores/restaurantStore.js'
+import { userStore } from '@/PiniaStores/UserStore.js'
+import router from '@/router/index.js'
+
+
+export default {
+  data() {
+    return {
+      router: useRouter(),
+      name: '',
+      url: 'http://localhost:8080/api/admin/add',
+      restaurantStore: restaurantStore(),
+      userStore: userStore(),
+    }
+  },
+  methods: {
+    async addRestaurant() {
+      await fetch(this.url, {
+        method: 'POST',
+        headers: {
+          'Content-Type': 'application/json',
+          'Authorization': this.userStore.getToken
+        },
+        body: JSON.stringify({
+          name: this.name,
+        })
+      }).then((response) => response.json())
+        .then(json => {this.restaurantStore.newRestaurant(json);
+                router.push('/')});
+
+    }
+  }
+}
+</script>
+
+<template>
+  <div class="container mt-5">
+    <div class="row justify-content-center">
+      <div class="col-4">
+        <form v-on:submit.prevent="addRestaurant">
+          <div class="mb-3">
+            <label for="name" class="form-label" >Restaurant name</label>
+            <input v-model="this.name" type="text" id="name" name="name" class="form-control" placeholder="Name" required>
+          </div>
+          <button type="submit" class="btn btn-primary">Add Restaurant</button>
+        </form>
+      </div>
+    </div>
+  </div>
+</template>
+
+<style scoped></style>
Index: ReserveNGo-frontend/src/components/Project/Auth/login_.vue
===================================================================
--- ReserveNGo-frontend/src/components/Project/Auth/login_.vue	(revision 6662a149d49f31a57629db476cf12dcb5e4986c4)
+++ ReserveNGo-frontend/src/components/Project/Auth/login_.vue	(revision 6662a149d49f31a57629db476cf12dcb5e4986c4)
@@ -0,0 +1,76 @@
+<script>
+
+
+import { userStore } from '@/PiniaStores/UserStore.js'
+
+import {useRouter} from 'vue-router'
+import router from '@/router/index.js'
+
+export default {
+  data() {
+    return {
+      form_info:{
+        email: '',
+        password: ''
+      },
+
+      url: 'http://localhost:8080/api/auth/login',
+
+      userStore_: userStore(),
+
+      router: useRouter()
+
+    }
+  },
+  methods: {
+   async makeLogin() {
+
+      await fetch(this.url, {
+        method: 'POST',
+        headers: { 'Content-Type': 'application/json'},
+        body: JSON.stringify({
+          email: this.form_info.email,
+          password: this.form_info.password,
+        })
+      }).then((response) => response.json())
+        .then(json => {this.userStore_.setLocalStorage(json);
+                        router.push('/')})
+
+    }
+  }
+}
+
+</script>
+
+<template>
+
+
+  <div class="container-xxl">
+
+    <div class="row justify-content-center  ">
+<!--      <form  v-on:submit.prevent="makeLogin">-->
+<!--      <form action="http://localhost:8080/api/auth/login" method="POST">-->
+      <div class="col-3">
+        <form  v-on:submit.prevent="makeLogin">
+
+      <label  for="email" class="form-label">Email</label>
+      <input v-model="this.form_info.email" name="email" id="email" class="form-control" type="text">
+
+      <label for="password" class="form-label">Password</label>
+      <input v-model="this.form_info.password" name="password" id="password" type="password" class="form-control">
+
+        <button type="submit" class="btn btn-dark mt-2">Login</button>
+        </form>
+      </div>
+
+
+
+    </div>
+
+
+  </div>
+</template>
+
+<style scoped>
+
+</style>
Index: ReserveNGo-frontend/src/components/Project/Auth/logout_.vue
===================================================================
--- ReserveNGo-frontend/src/components/Project/Auth/logout_.vue	(revision 6662a149d49f31a57629db476cf12dcb5e4986c4)
+++ ReserveNGo-frontend/src/components/Project/Auth/logout_.vue	(revision 6662a149d49f31a57629db476cf12dcb5e4986c4)
@@ -0,0 +1,27 @@
+<script>
+
+import { userStore } from '@/PiniaStores/UserStore.js'
+import {useRouter} from 'vue-router'
+import { restaurantStore } from '@/PiniaStores/restaurantStore.js'
+
+export default {
+  data(){
+    return {
+      userStore_: userStore(),
+      router: useRouter(),
+      restaurantStore_: restaurantStore(),
+    }
+  },
+}
+
+</script>
+
+<template>
+
+  <a v-on:click="userStore_.clearLocalStorage(); restaurantStore_.clearRestaurant()" @click="router.push('/login')" v-if="userStore_.data.role!=='UN_AUTHENTICATED'" class="btn btn-dark">Logout</a>
+
+</template>
+
+<style scoped>
+
+</style>
Index: ReserveNGo-frontend/src/components/Project/Auth/register_.vue
===================================================================
--- ReserveNGo-frontend/src/components/Project/Auth/register_.vue	(revision 6662a149d49f31a57629db476cf12dcb5e4986c4)
+++ ReserveNGo-frontend/src/components/Project/Auth/register_.vue	(revision 6662a149d49f31a57629db476cf12dcb5e4986c4)
@@ -0,0 +1,132 @@
+<script>
+
+
+import { userStore } from '@/PiniaStores/UserStore.js'
+import {useRouter} from 'vue-router'
+import router from '@/router/index.js'
+
+export default {
+  data() {
+    return {
+      path: '',
+      url: 'http://localhost:8080/api/auth/register/',
+
+      form_info:{
+        firstName: '',
+        lastName: '',
+        email: '',
+        password: '',
+        phoneNumber: '',
+
+      },
+     /* data: {
+        id: 0,
+        firstName: "",
+        lastName: "",
+        email: "",
+        phoneNumber: "",
+        role: "",
+        token: ""
+      },*/
+      userStore_: userStore(),
+      router: useRouter()
+
+    }
+  },
+
+  methods: {
+    async register() {
+      await fetch(this.wholeUrl, {
+        method: 'POST',
+        headers: { 'Content-Type': 'application/json' },
+        body: JSON.stringify({
+          firstName: this.form_info.firstName,
+          lastName: this.form_info.lastName,
+          email: this.form_info.email,
+          password: this.form_info.password,
+          phoneNumber: this.form_info.phoneNumber
+        })
+      })
+        .then((response) => response.json())
+        .then((json) => {
+          this.userStore_.setLocalStorage(json);
+          router.push('/');
+        });
+    //console.log("Data received:", this.data);
+          //this.userStore_.setLocalStorage(json)
+        //console.log(json)
+
+     //console.log(this.userStore_.data)
+    }
+
+  },
+  computed: {
+    wholeUrl(){
+      return this.url+this.path;
+    },
+    testJson(){
+      return JSON.stringify({
+        firstName: this.form_info.firstName,
+        lastName: this.form_info.lastName,
+        email: this.form_info.email,
+        password: this.form_info.password,
+        phoneNumber: this.form_info.phoneNumber})
+    }
+  }
+
+
+}
+
+
+
+</script>
+
+<template>
+  <div class="container-xxl">
+    <div class="row justify-content-center">
+
+<!--      <form @submit.prevent="register" method="POST">-->
+<!--      <form v-bind:action="wholeUrl" method="POST">-->
+
+  <div class="col-3">
+    <form @submit.prevent="register" method="POST">
+      <label for="name" class="form-label" >Name</label>
+      <input v-model="this.form_info.firstName" type="text" id="name" name="firstName" class="form-control" placeholder="Name" required>
+
+      <label for="surname" class="form-label">Surname</label>
+      <input v-model="form_info.lastName" type="text" id="surname" name="lastName" class="form-control" placeholder="Surname" required>
+
+      <label for="phone_number" class="form-label">Phone Number</label>
+      <input v-model="form_info.phoneNumber" type="text" id="phone_number" name="phoneNumber" class="form-control" required>
+
+      <label for="email" class="form-label">Email Address</label>
+      <input v-model="form_info.email" type="email" id="email" name="email" class="form-control" placeholder="someone@example.com" required>
+
+      <label for="password" class="form-label">Password</label>
+      <input v-model="form_info.password" type="password" id="password" name="password" class="form-control">
+
+      <label for="role" class="form-label">Role</label>
+      <select class="form-control" id="role" v-model="path">
+
+        <option value="customer">Customer</option>
+
+        <option value="local-worker">Local Worker</option>
+
+        <option value="local-manager">Local Manager</option>
+
+      </select>
+
+      <button type="submit" class="btn btn-dark">Register</button>
+    </form>
+    </div>
+
+    </div>
+
+
+  </div>
+
+</template>
+
+<style scoped>
+
+</style>
Index: ReserveNGo-frontend/src/components/Project/Locale_.vue
===================================================================
--- ReserveNGo-frontend/src/components/Project/Locale_.vue	(revision dad25fc441c1a4b1ff7bd0261b866e4465bec975)
+++ 	(revision )
@@ -1,34 +1,0 @@
-<script>
-
-import { restaurantStore } from '@/PiniaStores/restaurantStore.js'
-
-export default {
-  data() {
-    return {
-      locale:{},
-
-    }
-  },
-  mounted() {
-    fetch(`http://localhost:8080/api/locals/${restaurantStore().id}`)
-      .then(res => res.json())
-      .then(data => this.locale = data)
-      .catch(err => console.log(err));
-  },
-
-}
-/*console.log(restaurantStore().id)*/
-
-</script>
-
-<template>
-  <div id="container" class="border my-3 p-2">
-
-    <h3>{{locale.id}}</h3>
-    <h5>{{locale.name}}</h5>
-
-  </div></template>
-
-<style scoped>
-
-</style>
Index: ReserveNGo-frontend/src/components/Project/Locale_details.vue
===================================================================
--- ReserveNGo-frontend/src/components/Project/Locale_details.vue	(revision dad25fc441c1a4b1ff7bd0261b866e4465bec975)
+++ 	(revision )
@@ -1,49 +1,0 @@
-<script>
-
-
-import { restaurantStore } from '@/PiniaStores/restaurantStore.js'
-
-export default {
-  data(){
-    return {
-      restaurant:{
-        name: '',
-        address: ''
-      },
-      restaurantStore: restaurantStore()
-    }
-  }
-}
-
-</script>
-
-<template>
-    <div id="container" class="px-5 py-2">
-      <p>Local details...</p>
-      <p>Working hours: {{restaurantStore.workingHours}}</p>
-      <ul v-for="service in restaurantStore.availableServices" :key="service">
-        <li>{{service}}</li>
-      </ul>
-      <p>Average rating...</p>
-      <router-link to="/more_details">
-      <button class="btn btn-dark">More details</button>
-      </router-link>
-      <button class="btn btn-dark ms-2">Make reservation</button>
-    </div>
-</template>
-
-<style scoped>
-
-#container {
-
-  font-size: 20px;
-  margin: 30px auto;
-  border: transparent;
-  /*border-radius: 10px;*/
-  border-left: 3px solid #8377D1;
-  background-color: #FBFFF1;
-
-
-}
-
-</style>
Index: ReserveNGo-frontend/src/components/Project/Locale_listing_container.vue
===================================================================
--- ReserveNGo-frontend/src/components/Project/Locale_listing_container.vue	(revision dad25fc441c1a4b1ff7bd0261b866e4465bec975)
+++ 	(revision )
@@ -1,48 +1,0 @@
-<script>
-import Local_in_local_listing from '@/components/Project/local_in_local_listing.vue'
-import { defineComponent } from 'vue'
-
-export default defineComponent({
-  components: { Local_in_local_listing },
-
-  data() {
-    return {
-      /*locale: {
-        name: 'Restaurant name',
-        address: 'Restaurant address',
-        workingHours: '00:00',
-        availableServices: ['pet Friendly', 'WiFI'],
-        averageRating: 0,
-      },*/
-      locals: [],
-    }
-  },
-  mounted() {
-     fetch('http://localhost:8080/api/locals')
-      .then(res => res.json())
-      .then(data => this.locals = data)
-       .catch(err => console.log(err));
-  },
-})
-</script>
-
-<template>
-  <div id="container" class="">
-    <div v-for="locale in locals" :key="locale">
-      <Local_in_local_listing
-      :local="locale"/>
-      <!--      <Local_in_local_listing/>-->
-    </div>
-
-    <!--    <Local_in_local_listing/>
-    <Local_in_local_listing/>
-    <Local_in_local_listing/>
-    <Local_in_local_listing/>-->
-  </div>
-</template>
-
-<style scoped>
-#container {
-  margin: 30px auto;
-}
-</style>
Index: ReserveNGo-frontend/src/components/Project/My_reservations.vue
===================================================================
--- ReserveNGo-frontend/src/components/Project/My_reservations.vue	(revision dad25fc441c1a4b1ff7bd0261b866e4465bec975)
+++ 	(revision )
@@ -1,20 +1,0 @@
-<script setup>
-
-import reservation_ from '@/components/Project/reservation_.vue'
-</script>
-
-<template>
-
-  <div id="container " class="border container-xxl">
-
-    <reservation_/>
-    <reservation_/>
-    <reservation_/>
-    <reservation_/>
-
-  </div>
-</template>
-
-<style scoped>
-
-</style>
Index: ReserveNGo-frontend/src/components/Project/Nav_bar_new.vue
===================================================================
--- ReserveNGo-frontend/src/components/Project/Nav_bar_new.vue	(revision dad25fc441c1a4b1ff7bd0261b866e4465bec975)
+++ ReserveNGo-frontend/src/components/Project/Nav_bar_new.vue	(revision 6662a149d49f31a57629db476cf12dcb5e4986c4)
@@ -1,98 +1,62 @@
 <script>
-
-
 import { userStore } from '@/PiniaStores/UserStore.js'
-import logout_ from '@/components/Project/logout_.vue'
-
+import logout_ from '@/components/Project/Auth/logout_.vue'
 
 export default {
   data() {
     return {
-      userStore_: userStore()
+      userStore_: userStore(),
     }
   },
   components: {
-    logout_
-  }
-
+    logout_,
+  },
 }
-
-
-
 </script>
 
 <template>
-
-<!--  <div class="container-fluid bg-primary">
-    <div class="row align-items-center">
-
-     <div class="col-8">
-    <img src="/src/assets/logo.png" alt="Logo could not be found." />
-     </div>
-
-
-      <div class="col-4">
-
-
-      <a href="" class="btn btn-danger btn-sm ">Омилени Локали</a>
-
-
-
-         <a href="" class="btn btn-danger btn-sm ">Твојте Резервации</a>
-
-
-
-    <a href="" class="btn btn-danger btn-sm ">Login</a>
-
-
-
-      </div>
-&lt;!&ndash;    <p class="text">Lorem ipsum dolor sit amet, consectetur adipisicing elit. Eaque.</p>
-    <p class="lead text-end">Lorem ipsum dolor sit amet, consectetur adipisicing elit.</p>
-    <p class="lead text-center text-warning bg-primary">Lorem ipsum dolor sit amet, consectetur adipisicing elit.</p>&ndash;&gt;
-
-&lt;!&ndash;    <p class="container-lg">Lorem ipsum dolor sit amet, consectetur adipisicing elit. Est, quos?</p>&ndash;&gt;
-    </div>
-  </div>-->
-  <!-- navbar -->
-
-  <nav class="navbar navbar-expand-md navbar-light pt-1 pb-1 ">
+  <nav class="navbar navbar-expand-md navbar-light pt-1 pb-1">
     <div class="container-xxl">
-      <!-- navbar brand / title -->
-
       <router-link to="/" class="navbar-brand">
         <img src="/src/assets/rng_logo.png" alt="Logo could not be found." />
-        <span class="fw-bold ms-2">
-             Reserve And Go
-        </span>
+        <span class="fw-bold ms-2"> Reserve And Go </span>
       </router-link>
 
-
-
-      <!-- navbar links -->
       <div class="collapse navbar-collapse justify-content-end align-center" id="main-nav">
-
         <ul class="navbar-nav">
-
           <li class="nav-item">
-            <router-link v-if="this.userStore_.data.role==='ROLE_CUSTOMER'" to="/favourite_locals" class="nav-link">Favourite locals </router-link>
+            <router-link
+              v-if="this.userStore_.data.role === 'ROLE_CUSTOMER'"
+              to="/favourite_locals"
+              class="nav-link">
+              Favourite locals
+            </router-link>
           </li>
           <li class="nav-item">
-            <router-link v-if="this.userStore_.data.role==='ROLE_CUSTOMER'" to="/my_reservations" class="nav-link">My reservations </router-link>
+            <router-link
+              v-if="this.userStore_.data.role === 'ROLE_CUSTOMER'"
+              to="/my_reservations"
+              class="nav-link"
+              >My reservations
+            </router-link>
+          </li>
+          <li class="nav-item">
+            <router-link to="/" class="nav-link text-white">
+              <a v-if="userStore_.data.role !== 'ROLE_ADMIN'">{{userStore_.data.firstName}} {{userStore_.data.lastName}}</a>
+            </router-link>
           </li>
 
           <li class="nav-item ms-2 d-none d-md-inline">
-            <router-link to="/login" >
-            <a v-if="userStore_.data.role==='UN_AUTHENTICATED'" class="btn btn-dark">Login</a>
+            <router-link to="/login">
+              <a v-if="userStore_.data.role === 'UN_AUTHENTICATED'" class="btn btn-dark">Login</a>
             </router-link>
             <router-link to="/register">
-            <a v-if="userStore_.data.role==='UN_AUTHENTICATED'" class="btn btn-dark ms-2">Register</a>
+              <a v-if="userStore_.data.role === 'UN_AUTHENTICATED'" class="btn btn-dark ms-2">Register</a>
             </router-link>
             <router-link to="/addRestaurant">
-              <a v-if="userStore_.data.role==='ROLE_LOCAL_MANAGER' || userStore_.data.role==='ROLE_ADMIN'" class="btn btn-dark me-2">Add Restaurant</a>
+              <a v-if="userStore_.data.role === 'ROLE_ADMIN'" class="btn btn-dark me-2">Add Restaurant</a>
             </router-link>
             <logout_></logout_>
           </li>
-
         </ul>
       </div>
@@ -102,27 +66,21 @@
 
 <style scoped>
-
 #login {
   float: right;
   padding: 2%;
-
 }
 
-
-nav{
-  background: #8377D1;
+nav {
+  background: #8377d1;
   height: 80px;
 }
 
-.btn{
+.btn {
   height: 40px;
   margin-top: 5px;
 }
 
-img{
+img {
   height: 70px;
 }
-
-
-
 </style>
Index: ReserveNGo-frontend/src/components/Project/Reservation/My_reservations.vue
===================================================================
--- ReserveNGo-frontend/src/components/Project/Reservation/My_reservations.vue	(revision 6662a149d49f31a57629db476cf12dcb5e4986c4)
+++ ReserveNGo-frontend/src/components/Project/Reservation/My_reservations.vue	(revision 6662a149d49f31a57629db476cf12dcb5e4986c4)
@@ -0,0 +1,20 @@
+<script setup>
+
+import reservation_ from '@/components/Project/Reservation/reservation_.vue'
+</script>
+
+<template>
+
+  <div id="container " class="border container-xxl">
+
+    <reservation_/>
+    <reservation_/>
+    <reservation_/>
+    <reservation_/>
+
+  </div>
+</template>
+
+<style scoped>
+
+</style>
Index: ReserveNGo-frontend/src/components/Project/Reservation/reservation_.vue
===================================================================
--- ReserveNGo-frontend/src/components/Project/Reservation/reservation_.vue	(revision 6662a149d49f31a57629db476cf12dcb5e4986c4)
+++ ReserveNGo-frontend/src/components/Project/Reservation/reservation_.vue	(revision 6662a149d49f31a57629db476cf12dcb5e4986c4)
@@ -0,0 +1,44 @@
+<script>
+
+
+export default {
+
+  data(){
+    return {
+
+      reservation:{
+        id: "res_id",
+        time: "time_of_reservation",
+      }
+
+    }
+  },
+  props:[]
+
+
+}
+
+
+
+</script>
+
+<template>
+
+  <div id="container" class="border my-3 p-2">
+    <h3>{{reservation.id}}</h3>
+    <h5>{{reservation.time}}</h5>
+
+  </div>
+</template>
+
+<style scoped>
+
+#container{
+
+  height: 10vh;
+
+
+}
+
+
+</style>
Index: ReserveNGo-frontend/src/components/Project/Restaurant/Locale_.vue
===================================================================
--- ReserveNGo-frontend/src/components/Project/Restaurant/Locale_.vue	(revision 6662a149d49f31a57629db476cf12dcb5e4986c4)
+++ ReserveNGo-frontend/src/components/Project/Restaurant/Locale_.vue	(revision 6662a149d49f31a57629db476cf12dcb5e4986c4)
@@ -0,0 +1,50 @@
+<script>
+
+import { restaurantStore } from '@/PiniaStores/restaurantStore.js'
+
+export default {
+  data() {
+    return {
+      locale:{},
+
+    }
+  },
+  mounted() {
+    fetch(`http://localhost:8080/api/locals/${restaurantStore().id}`)
+      .then(res => res.json())
+      .then(data => this.locale = data)
+      .catch(err => console.log(err));
+  },
+
+}
+/*console.log(restaurantStore().id)*/
+
+</script>
+
+<template>
+  <div id="container" class="border my-3 p-2">
+    <h3>{{locale.id}}</h3>
+    <h5>{{locale.name}}</h5>
+    <p>{{locale.description}}</p>
+    <p>{{locale.address}}</p>
+    <p>{{locale.workingHours}}</p>
+    <div v-for="service in locale.services" :key="service">
+      <p>{{service}}</p>
+    </div>
+    <p>{{locale.averageRating}}</p>
+    <div v-for="event in locale.events" :key="event">
+      <p>{{event}}</p>
+    </div>
+    <div v-for="photo in locale.localPhotos" :key="photo">
+      <p>{{photo}}</p>
+    </div>
+    <p>{{locale.menuPhoto}}</p>
+    <p>{{locale.menuLink}}</p>
+    <p>{{locale.contact}}</p>
+    <p>{{locale.logo}}</p>
+
+  </div></template>
+
+<style scoped>
+
+</style>
Index: ReserveNGo-frontend/src/components/Project/Restaurant/Locale_details.vue
===================================================================
--- ReserveNGo-frontend/src/components/Project/Restaurant/Locale_details.vue	(revision 6662a149d49f31a57629db476cf12dcb5e4986c4)
+++ ReserveNGo-frontend/src/components/Project/Restaurant/Locale_details.vue	(revision 6662a149d49f31a57629db476cf12dcb5e4986c4)
@@ -0,0 +1,49 @@
+<script>
+
+
+import { restaurantStore } from '@/PiniaStores/restaurantStore.js'
+
+export default {
+  data(){
+    return {
+      restaurant:{
+        name: '',
+        address: ''
+      },
+      restaurantStore: restaurantStore()
+    }
+  }
+}
+
+</script>
+
+<template>
+    <div id="container" class="px-5 py-2">
+      <div>{{restaurantStore.logo}}</div>
+      <p>{{restaurantStore.name}}</p>
+      <p>Working hours: {{restaurantStore.workingHours}}</p>
+      <p>Address: {{restaurantStore.address}}</p>
+
+      <p>Average rating...{{restaurantStore.averageRating}}</p>
+      <router-link to="/more_details">
+      <button class="btn btn-dark">More details</button>
+      </router-link>
+      <button class="btn btn-dark ms-2">Make reservation</button>
+    </div>
+</template>
+
+<style scoped>
+
+#container {
+
+  font-size: 20px;
+  margin: 30px auto;
+  border: transparent;
+  /*border-radius: 10px;*/
+  border-left: 3px solid #8377D1;
+  background-color: #FBFFF1;
+
+
+}
+
+</style>
Index: ReserveNGo-frontend/src/components/Project/Restaurant/Locale_listing_container.vue
===================================================================
--- ReserveNGo-frontend/src/components/Project/Restaurant/Locale_listing_container.vue	(revision 6662a149d49f31a57629db476cf12dcb5e4986c4)
+++ ReserveNGo-frontend/src/components/Project/Restaurant/Locale_listing_container.vue	(revision 6662a149d49f31a57629db476cf12dcb5e4986c4)
@@ -0,0 +1,35 @@
+<script>
+import Local_in_local_listing from '@/components/Project/Restaurant/local_in_local_listing.vue'
+import { defineComponent } from 'vue'
+
+export default defineComponent({
+  components: { Local_in_local_listing },
+
+  data() {
+    return {
+      locals: [],
+    }
+  },
+  mounted() {
+     fetch('http://localhost:8080/api/locals')
+      .then(res => res.json())
+      .then(data => this.locals = data)
+       .catch(err => console.log(err));
+  },
+})
+</script>
+
+<template>
+  <div id="container" class="">
+    <div v-for="locale in locals" :key="locale">
+      <Local_in_local_listing
+      :local="locale"/>
+    </div>
+  </div>
+</template>
+
+<style scoped>
+#container {
+  margin: 30px auto;
+}
+</style>
Index: ReserveNGo-frontend/src/components/Project/Restaurant/favourite_locals.vue
===================================================================
--- ReserveNGo-frontend/src/components/Project/Restaurant/favourite_locals.vue	(revision 6662a149d49f31a57629db476cf12dcb5e4986c4)
+++ ReserveNGo-frontend/src/components/Project/Restaurant/favourite_locals.vue	(revision 6662a149d49f31a57629db476cf12dcb5e4986c4)
@@ -0,0 +1,53 @@
+<script>
+import { userStore } from '@/PiniaStores/UserStore.js'
+
+export default {
+  data() {
+    return {
+      locals: [],
+      userStore_: userStore(),
+    }
+  },
+  beforeMount() {
+    fetch(`http://localhost:8080/api/customer/favourite-locals`, {
+      method: 'GET',
+      headers: {
+        Authorization: this.userStore_.getToken,
+      },
+    })
+      .then((res) => res.json())
+      .then((data) => (this.locals = data))
+      .catch((err) => console.log(err))
+  },
+  methods: {
+    removeRestaurant(id) {
+      fetch(`http://localhost:8080/api/customer/favourite-locals/remove/${id}`, {
+        method: 'POST',
+        headers: {
+          'Content-Type': 'application/json',
+          Authorization: this.userStore_.getToken,
+        },
+      }).then(()=>{
+        this.locals = this.locals.filter(local => local.id !== id)
+      })
+        .catch((err) => console.log(err))
+    }
+  },
+}
+</script>
+
+<template>
+  <div class="container" v-for="local in locals" :key="local">
+    <div class="row border mt-4">
+      <div class="col-8">
+      <h3>{{ local.name }}</h3>
+      <h3>{{ local.address }}</h3>
+      </div>
+      <div class="col-4">
+        <button class="btn btn-primary" @click="removeRestaurant(local.id)">X</button>
+      </div>
+    </div>
+  </div>
+</template>
+
+<style scoped></style>
Index: ReserveNGo-frontend/src/components/Project/Restaurant/home_.vue
===================================================================
--- ReserveNGo-frontend/src/components/Project/Restaurant/home_.vue	(revision 6662a149d49f31a57629db476cf12dcb5e4986c4)
+++ ReserveNGo-frontend/src/components/Project/Restaurant/home_.vue	(revision 6662a149d49f31a57629db476cf12dcb5e4986c4)
@@ -0,0 +1,41 @@
+<script setup>
+
+import Locale_listing_container from '@/components/Project/Restaurant/Locale_listing_container.vue'
+import Locale_details from '@/components/Project/Restaurant/Locale_details.vue'
+</script>
+
+<template>
+  <div class="container">
+
+    <div class="row">
+
+      <div class="col-md-8">
+        <div class="row">
+          <Locale_listing_container></Locale_listing_container>
+
+          <!--            <div v-for="restaurant in restaurants" :key="restaurant" >
+                      {{restaurant.name}}
+                      {{restaurant.address}}
+                      </div>-->
+
+        </div>
+        <div class="row"></div>
+      </div>
+
+      <div class="col-md-4">
+        <div class="div"><Locale_details>
+          <button link="restraurant">Details</button>
+        </Locale_details></div>
+
+      </div>
+
+    </div>
+
+  </div>
+</template>
+
+<style scoped>
+
+
+
+</style>
Index: ReserveNGo-frontend/src/components/Project/Restaurant/local_in_local_listing.vue
===================================================================
--- ReserveNGo-frontend/src/components/Project/Restaurant/local_in_local_listing.vue	(revision 6662a149d49f31a57629db476cf12dcb5e4986c4)
+++ ReserveNGo-frontend/src/components/Project/Restaurant/local_in_local_listing.vue	(revision 6662a149d49f31a57629db476cf12dcb5e4986c4)
@@ -0,0 +1,64 @@
+<script>
+import { restaurantStore } from '@/PiniaStores/restaurantStore.js'
+import { userStore } from '@/PiniaStores/UserStore.js'
+
+export default {
+  data() {
+    return {
+      userStore_: userStore(),
+    }
+  },
+  props: {
+    local: {
+      required: true,
+    },
+  },
+
+  methods: {
+    handleClick() {
+      let restaurantStore_ = restaurantStore()
+
+      console.log(restaurantStore_)
+      restaurantStore_.setRestaurant(
+        this.local.id,
+        this.local.name,
+        this.local.description,
+        this.local.address,
+        this.local.workingHours,
+        this.local.logo,
+        this.local.averageRating,
+      )
+      console.log(restaurantStore().id)
+    },
+    async addToFavorites() {
+      fetch(`http://localhost:8080/api/customer/favourite-locals/add/${this.local.id}`, {
+        method: 'POST',
+        headers: {
+          Authorization: this.userStore_.getToken,
+        },
+      }).catch((error) => console.log(error))
+    },
+  },
+}
+</script>
+
+<template>
+  <div id="container" class="row my-3 p-2" @click="handleClick()">
+    <div class="col info">
+      <h3>{{ local.name }}</h3>
+      <h5>{{ local.address }}</h5>
+      <p>Rating: {{ local.averageRating }}</p>
+    </div>
+    <div class="col">
+      <button class="btn btn-dark" @click="addToFavorites()">Add to favourites</button>
+    </div>
+  </div>
+</template>
+
+<style scoped>
+#container {
+  border-left: 3px solid #8377d1;
+  background: #fbfff1;
+  /*border-radius: 10px;*/
+}
+</style>
Index: ReserveNGo-frontend/src/components/Project/favourite_locals.vue
===================================================================
--- ReserveNGo-frontend/src/components/Project/favourite_locals.vue	(revision dad25fc441c1a4b1ff7bd0261b866e4465bec975)
+++ 	(revision )
@@ -1,31 +1,0 @@
-<script>
-import { userStore } from '@/PiniaStores/UserStore.js'
-export default {
-  data() {
-    return {
-      locals:[],
-      userStore_:userStore(),
-    }
-  },
-  beforeMount() {
-     fetch(`http://localhost:8080/api/customer/favourite-locals`,{
-      method: 'GET',
-      headers: {
-        'Authorization': this.userStore_.getToken
-      }
-    })
-      .then(res => res.json())
-      .then(data => this.locals = data)
-      .catch(err => console.log(err))
-  },
-}
-</script>
-
-<template>
-  <div id="container " class="border container-xxl" v-for="local in locals" :key="local">
-    <h3>{{local.name}}</h3>
-    <h3>{{local.address}}</h3>
-  </div>
-</template>
-
-<style scoped></style>
Index: ReserveNGo-frontend/src/components/Project/home_.vue
===================================================================
--- ReserveNGo-frontend/src/components/Project/home_.vue	(revision dad25fc441c1a4b1ff7bd0261b866e4465bec975)
+++ 	(revision )
@@ -1,41 +1,0 @@
-<script setup>
-
-import Locale_listing_container from '@/components/Project/Locale_listing_container.vue'
-import Locale_details from '@/components/Project/Locale_details.vue'
-</script>
-
-<template>
-  <div class="container">
-
-    <div class="row">
-
-      <div class="col-md-8">
-        <div class="row">
-          <Locale_listing_container></Locale_listing_container>
-
-          <!--            <div v-for="restaurant in restaurants" :key="restaurant" >
-                      {{restaurant.name}}
-                      {{restaurant.address}}
-                      </div>-->
-
-        </div>
-        <div class="row"></div>
-      </div>
-
-      <div class="col-md-4">
-        <div class="div"><Locale_details>
-          <button link="restraurant">Details</button>
-        </Locale_details></div>
-
-      </div>
-
-    </div>
-
-  </div>
-</template>
-
-<style scoped>
-
-
-
-</style>
Index: ReserveNGo-frontend/src/components/Project/local_in_local_listing.vue
===================================================================
--- ReserveNGo-frontend/src/components/Project/local_in_local_listing.vue	(revision dad25fc441c1a4b1ff7bd0261b866e4465bec975)
+++ 	(revision )
@@ -1,99 +1,0 @@
-<script>
-
-
-import { restaurantStore } from '@/PiniaStores/restaurantStore.js'
-import { userStore } from '@/PiniaStores/UserStore.js'
-
-export default {
-
-  data(){
-    return {
-
-      /*locale:{
-        name: "Restaurant name",
-        address: "Restaurant address",
-      }*/
-
-      userStore_: userStore(),
-    }
-
-  },
-  props: {
-   /* name: {
-      type: String,
-      required: true,
-      default: "Restaurant name" // Default value if no prop is passed
-    },
-    address: {
-      type: String,
-      required: true,
-      default: "Restaurant address"
-    },
-    workingHours: {
-      type: String,
-      required: false,
-      default: "Working hours not provided"
-    },*/
-    local:{
-      required: true,
-    }
-  },
-
-  methods: {
-    handleClick() {
-      //alert(`Clicked on ${this.name}`);
-      let restaurantStore_ = restaurantStore()
-
-      console.log(restaurantStore_)
-      restaurantStore_.setDetails(this.local.id,this.local.name, this.local.address, this.local.workingHours, this.local.availableServices)
-
-      console.log(restaurantStore().id)
-
-    },
-    async addToFavorites(){
-       fetch(`http://localhost:8080/api/customer/favourite-locals/add/${this.local.id}`,{
-        method: 'POST',
-        headers: {
-          'Authorization': this.userStore_.getToken
-        }
-      }).catch(error => console.log(error))
-    }
-  }
-
-}
-
-
-
-</script>
-
-<template>
-
-  <div id="container" class=" my-3 p-2" @click="handleClick()">
-    <div class="info">
-  <h3>{{local.name}}</h3>
-  <h5>{{local.address}}</h5>
-    </div>
-    <div class="like">
-    <button class="btn btn-dark" @click="addToFavorites()">Add to favourites</button>
-    </div>
-  </div>
-</template>
-
-<style scoped>
-
-#container{
-
-height: 10vh;
-  display: flex;
-  justify-content: space-between;
-  align-items: center;
-  border-left: 3px solid #8377D1;
-  background: #FBFFF1;
-  /*border-radius: 10px;*/
-
-
-
-}
-
-
-</style>
Index: ReserveNGo-frontend/src/components/Project/login_.vue
===================================================================
--- ReserveNGo-frontend/src/components/Project/login_.vue	(revision dad25fc441c1a4b1ff7bd0261b866e4465bec975)
+++ 	(revision )
@@ -1,76 +1,0 @@
-<script>
-
-
-import { userStore } from '@/PiniaStores/UserStore.js'
-
-import {useRouter} from 'vue-router'
-import router from '@/router/index.js'
-
-export default {
-  data() {
-    return {
-      form_info:{
-        email: '',
-        password: ''
-      },
-
-      url: 'http://localhost:8080/api/auth/login',
-
-      userStore_: userStore(),
-
-      router: useRouter()
-
-    }
-  },
-  methods: {
-   async makeLogin() {
-
-      await fetch(this.url, {
-        method: 'POST',
-        headers: { 'Content-Type': 'application/json'},
-        body: JSON.stringify({
-          email: this.form_info.email,
-          password: this.form_info.password,
-        })
-      }).then((response) => response.json())
-        .then(json => {this.userStore_.setLocalStorage(json);
-                        router.push('/')})
-
-    }
-  }
-}
-
-</script>
-
-<template>
-
-
-  <div class="container-xxl">
-
-    <div class="row justify-content-center  ">
-<!--      <form  v-on:submit.prevent="makeLogin">-->
-<!--      <form action="http://localhost:8080/api/auth/login" method="POST">-->
-      <div class="col-3">
-        <form  v-on:submit.prevent="makeLogin">
-
-      <label  for="email" class="form-label">Email</label>
-      <input v-model="this.form_info.email" name="email" id="email" class="form-control" type="text">
-
-      <label for="password" class="form-label">Password</label>
-      <input v-model="this.form_info.password" name="password" id="password" type="password" class="form-control">
-
-        <button type="submit" class="btn btn-dark mt-2">Login</button>
-        </form>
-      </div>
-
-
-
-    </div>
-
-
-  </div>
-</template>
-
-<style scoped>
-
-</style>
Index: ReserveNGo-frontend/src/components/Project/logout_.vue
===================================================================
--- ReserveNGo-frontend/src/components/Project/logout_.vue	(revision dad25fc441c1a4b1ff7bd0261b866e4465bec975)
+++ 	(revision )
@@ -1,25 +1,0 @@
-<script>
-
-import { userStore } from '@/PiniaStores/UserStore.js'
-import {useRouter} from 'vue-router'
-
-export default {
-  data(){
-    return {
-      userStore_: userStore(),
-      router: useRouter()
-    }
-  },
-}
-
-</script>
-
-<template>
-
-  <a v-on:click="userStore_.clearLocalStorage()" @click="router.push('/login')" v-if="userStore_.data.role!=='UN_AUTHENTICATED'" class="btn btn-dark">Logout</a>
-
-</template>
-
-<style scoped>
-
-</style>
Index: ReserveNGo-frontend/src/components/Project/register_.vue
===================================================================
--- ReserveNGo-frontend/src/components/Project/register_.vue	(revision dad25fc441c1a4b1ff7bd0261b866e4465bec975)
+++ 	(revision )
@@ -1,132 +1,0 @@
-<script>
-
-
-import { userStore } from '@/PiniaStores/UserStore.js'
-import {useRouter} from 'vue-router'
-import router from '@/router/index.js'
-
-export default {
-  data() {
-    return {
-      path: '',
-      url: 'http://localhost:8080/api/auth/register/',
-
-      form_info:{
-        firstName: '',
-        lastName: '',
-        email: '',
-        password: '',
-        phoneNumber: '',
-
-      },
-     /* data: {
-        id: 0,
-        firstName: "",
-        lastName: "",
-        email: "",
-        phoneNumber: "",
-        role: "",
-        token: ""
-      },*/
-      userStore_: userStore(),
-      router: useRouter()
-
-    }
-  },
-
-  methods: {
-    async register() {
-      await fetch(this.wholeUrl, {
-        method: 'POST',
-        headers: { 'Content-Type': 'application/json' },
-        body: JSON.stringify({
-          firstName: this.form_info.firstName,
-          lastName: this.form_info.lastName,
-          email: this.form_info.email,
-          password: this.form_info.password,
-          phoneNumber: this.form_info.phoneNumber
-        })
-      })
-        .then((response) => response.json())
-        .then((json) => {
-          this.userStore_.setLocalStorage(json);
-          router.push('/');
-        });
-    //console.log("Data received:", this.data);
-          //this.userStore_.setLocalStorage(json)
-        //console.log(json)
-
-     //console.log(this.userStore_.data)
-    }
-
-  },
-  computed: {
-    wholeUrl(){
-      return this.url+this.path;
-    },
-    testJson(){
-      return JSON.stringify({
-        firstName: this.form_info.firstName,
-        lastName: this.form_info.lastName,
-        email: this.form_info.email,
-        password: this.form_info.password,
-        phoneNumber: this.form_info.phoneNumber})
-    }
-  }
-
-
-}
-
-
-
-</script>
-
-<template>
-  <div class="container-xxl">
-    <div class="row justify-content-center">
-
-<!--      <form @submit.prevent="register" method="POST">-->
-<!--      <form v-bind:action="wholeUrl" method="POST">-->
-
-  <div class="col-3">
-    <form @submit.prevent="register" method="POST">
-      <label for="name" class="form-label" >Name</label>
-      <input v-model="this.form_info.firstName" type="text" id="name" name="firstName" class="form-control" placeholder="Name" required>
-
-      <label for="surname" class="form-label">Surname</label>
-      <input v-model="form_info.lastName" type="text" id="surname" name="lastName" class="form-control" placeholder="Surname" required>
-
-      <label for="phone_number" class="form-label">Phone Number</label>
-      <input v-model="form_info.phoneNumber" type="text" id="phone_number" name="phoneNumber" class="form-control" required>
-
-      <label for="email" class="form-label">Email Address</label>
-      <input v-model="form_info.email" type="email" id="email" name="email" class="form-control" placeholder="someone@example.com" required>
-
-      <label for="password" class="form-label">Password</label>
-      <input v-model="form_info.password" type="password" id="password" name="password" class="form-control">
-
-      <label for="role" class="form-label">Role</label>
-      <select class="form-control" id="role" v-model="path">
-
-        <option value="customer">Customer</option>
-
-        <option value="local-worker">Local Worker</option>
-
-        <option value="local-manager">Local Manager</option>
-
-      </select>
-
-      <button type="submit" class="btn btn-dark">Register</button>
-    </form>
-    </div>
-
-    </div>
-
-
-  </div>
-
-</template>
-
-<style scoped>
-
-</style>
Index: ReserveNGo-frontend/src/components/Project/reservation_.vue
===================================================================
--- ReserveNGo-frontend/src/components/Project/reservation_.vue	(revision dad25fc441c1a4b1ff7bd0261b866e4465bec975)
+++ 	(revision )
@@ -1,44 +1,0 @@
-<script>
-
-
-export default {
-
-  data(){
-    return {
-
-      reservation:{
-        id: "res_id",
-        time: "time_of_reservation",
-      }
-
-    }
-  },
-  props:[]
-
-
-}
-
-
-
-</script>
-
-<template>
-
-  <div id="container" class="border my-3 p-2">
-    <h3>{{reservation.id}}</h3>
-    <h5>{{reservation.time}}</h5>
-
-  </div>
-</template>
-
-<style scoped>
-
-#container{
-
-  height: 10vh;
-
-
-}
-
-
-</style>
